### Method

# Gimp Image list_channels

#### Declaration [src]

    GList*
    gimp_image_list_channels (
      GimpImage* image
    )

#### Description [src]

Returns the list of channels contained in the specified image.

This procedure returns the list of channels contained in the specified image. This does not include the selection mask, or layer masks. The order is from topmost to bottommost. Note that “channels” are custom channels and do not include the image’s color components.

Available since: | 3.0

#### Return value

Returns: | A list of `GimpChannel*`

         The list of channels contained in the image.
         The returned list must be freed with g_list_free(). Channel
         elements belong to libgimp and must not be freed.

| The caller of the method takes ownership of the data container, but not the data inside it.